# PyTorch 深度学习: 60 分钟极速入门

> 译者：[bat67](https://github.com/bat67)
>
> 校对者：[FontTian](https://github.com/fonttian)

**作者**：[Soumith Chintala](http://soumith.ch)

此教程的目标：

* 更高层次地理解PyTorch的Tensor库以及神经网络。
* 训练一个小的神经网络模型用于分类图像。

本教程假设读者对`numpy`有基本的了解

注意:确保你安装了 [torch](https://github.com/pytorch/pytorch) 和 [torchvision](https://github.com/pytorch/vision) 包。

![https://pytorch.org/tutorials/_images/tensor_illustration_flat.png](img/0c7a402331744a44f5e17575b1607904.jpg)

[PyTorch 是什么？](blitz/tensor_tutorial.html#sphx-glr-beginner-blitz-tensor-tutorial-py)

![https://pytorch.org/tutorials/_images/autodiff.png](img/0a7a97c39d6dfc0e08d2701eb7a49231.jpg)

[Autograd：自动求导](blitz/autograd_tutorial.html#sphx-glr-beginner-blitz-autograd-tutorial-py)

![https://pytorch.org/tutorials/_images/mnist1.png](img/be60e8e1f4baa0de87cf9d37c5325525.jpg)

[神经网络](blitz/neural_networks_tutorial.html#sphx-glr-beginner-blitz-neural-networks-tutorial-py)

![https://pytorch.org/tutorials/_images/cifar101.png](img/7a28f697e6bab9f3d9b1e8da4a5a5249.jpg)

[训练分类器](blitz/cifar10_tutorial.html#sphx-glr-beginner-blitz-cifar10-tutorial-py)

![https://pytorch.org/tutorials/_images/data_parallel.png](img/c699a36b37c0fd5aec258278788c1216.jpg)

[可选：数据并行](blitz/data_parallel_tutorial.html#sphx-glr-beginner-blitz-data-parallel-tutorial-py)

