# torchvision

> 原文： [https://pytorch.org/docs/stable/torchvision/index.html](https://pytorch.org/docs/stable/torchvision/index.html)

[`torchvision`](#module-torchvision "torchvision") 软件包包含用于计算机视觉的流行数据集，模型架构和常见图像转换。

包装参考

*   [torchvision.datasets](datasets.html)
    *   [MNIST](datasets.html#mnist)
    *   [fashion MNIST](datasets.html#fashion-mnist)
    *   [KMNIST](datasets.html#kmnist)
    *   [EMNIST](datasets.html#emnist)
    *   [QMNIST](datasets.html#qmnist)
    *   [FakeData](datasets.html#fakedata)
    *   [coco](datasets.html#coco)
    *   [LSUN](datasets.html#lsun)
    *   [ImageFolder](datasets.html#imagefolder)
    *   [DatasetFolder](datasets.html#datasetfolder)
    *   [ImageNet](datasets.html#imagenet)
    *   [CIFAR](datasets.html#cifar)
    *   [STL10](datasets.html#stl10)
    *   [SVHN](datasets.html#svhn)
    *   [PhotoTour](datasets.html#phototour)
    *   [SBU](datasets.html#sbu)
    *   [Flickr](datasets.html#flickr)
    *   [VOC](datasets.html#voc)
    *   [城市景观](datasets.html#cityscapes)
    *   [SBD](datasets.html#sbd)
    *   [USPS](datasets.html#usps)
    *   [Kinetics-400](datasets.html#kinetics-400)
    *   [HMDB51](datasets.html#hmdb51)
    *   [UCF101](datasets.html#ucf101)
*   [torchvision.io](io.html)
    *   [视频](io.html#video)
*   [torchvision.models](models.html)
    *   [分类](models.html#classification)
    *   [语义细分](models.html#semantic-segmentation)
    *   [对象检测，实例细分和人员关键点检测](models.html#object-detection-instance-segmentation-and-person-keypoint-detection)
    *   [视频分类](models.html#video-classification)
*   [torchvision.ops](ops.html)
*   [torchvision.transforms](transforms.html)
    *   [在 PIL 上转换图像](transforms.html#transforms-on-pil-image)
    *   [在torch上变换*张量](transforms.html#transforms-on-torch-tensor)
    *   [转换变换](transforms.html#conversion-transforms)
    *   [通用转换](transforms.html#generic-transforms)
    *   [功能变换](transforms.html#functional-transforms)
*   [torchvision.utils](utils.html)

* * *

```
torchvision.get_image_backend()¶
```

获取用于加载图像的包的名称

* * *

```
torchvision.set_image_backend(backend)¶
```

指定用于加载图像的软件包。

参数

**后端**(_字符串_）–图像后端的名称。 {'PIL'，'accimage'}之一。 `accimage`程序包使用 Intel IPP 库。 它通常比 PIL 快，但不支持那么多操作。

* * *

```
torchvision.set_video_backend(backend)¶
```

指定用于解码视频的包。

Parameters

**后端**(_字符串_）–

视频后端的名称。 {'pyav'，'video_reader'}之一。 `pyav`包使用第三方 PyAv 库。 这是 Pythonic

> FFmpeg 库的绑定。

```
The video_reader package includes a native c++ implementation on
```

FFMPEG 库的顶部，以及 TorchScript 自定义运算符的 python API。 通常，它的解码速度比 pyav 快，但可能不够鲁棒。