# PyTorch 深度学习：60分钟快速入门

> 原文：<https://pytorch.org/tutorials/beginner/deep_learning_60min_blitz.html>

**作者**： [Soumith Chintala](http://soumith.ch)

<https://www.youtube.com/embed/u7x8RXwLKcA>

## 什么是 PyTorch？

PyTorch 是基于以下两个目的而打造的python科学计算框架：

*   无缝替换NumPy，并且通过利用GPU的算力来实现神经网络的加速。
*   通过自动微分机制，来让神经网络的实现变得更加容易。

## 本次教程的目标：

*   深入了解PyTorch的张量单元以及如何使用Pytorch来搭建神经网络。
*   自己动手训练一个小型神经网络来实现图像的分类。

注意

确保已安装[`torch`](https://github.com/pytorch/pytorch)和[`torchvision`](https://github.com/pytorch/vision)包。

![../_img/tensor_illustration_flat.png](img/0c7a402331744a44f5e17575b1607904.png)

[张量](blitz/tensor_tutorial.html#sphx-glr-beginner-blitz-tensor-tutorial-py)

![../_img/autodiff.png](img/0a7a97c39d6dfc0e08d2701eb7a49231.png)

[`torch.autograd`的简要介绍](blitz/autograd_tutorial.html#sphx-glr-beginner-blitz-autograd-tutorial-py)

![../_img/mnist1.png](img/be60e8e1f4baa0de87cf9d37c5325525.png)

[神经网络简介](blitz/neural_networks_tutorial.html#sphx-glr-beginner-blitz-neural-networks-tutorial-py)

![../_img/cifar101.png](img/7a28f697e6bab9f3d9b1e8da4a5a5249.png)

[自己动手训练一个图像分类器](blitz/cifar10_tutorial.html#sphx-glr-beginner-blitz-cifar10-tutorial-py)
