# Summary

+   [PyTorch 中文官方教程 1.7](README.md)
+   [学习 PyTorch](01.md)
    +   [PyTorch 深度学习：60 分钟的突击](02.md)
        +   [张量](03.md)
        +   [`torch.autograd`的简要介绍](04.md)
        +   [神经网络](05.md)
        +   [训练分类器](06.md)
    +   [通过示例学习 PyTorch](07.md)
        +   [热身：NumPy](08.md)
        +   [PyTorch：张量](09.md)
        +   [PyTorch：张量和 Autograd](10.md)
        +   [PyTorch：定义新的 Autograd 函数](11.md)
        +   [PyTorch：`nn`](12.md)
        +   [PyTorch：`optim`](13.md)
        +   [PyTorch：自定义`nn`模块](14.md)
        +   [PyTorch：控制流 + 权重共享](15.md)
    +   [`torch.nn`到底是什么？](16.md)
    +   [使用 TensorBoard 可视化模型，数据和训练](17.md)
+   [图片/视频](18.md)
    +   [`torchvision`对象检测微调教程](19.md)
    +   [计算机视觉的迁移学习教程](20.md)
    +   [对抗示例生成](21.md)
    +   [DCGAN 教程](22.md)
+   [音频](23.md)
    +   [音频 I/O 和`torchaudio`的预处理](24.md)
    +   [使用`torchaudio`的语音命令识别](25.md)
+   [文本](26.md)
    +   [使用`nn.Transformer`和`torchtext`的序列到序列建模](27.md)
    +   [从零开始的 NLP：使用字符级 RNN 分类名称](28.md)
    +   [从零开始的 NLP：使用字符级 RNN 生成名称](29.md)
    +   [从零开始的 NLP：使用序列到序列网络和注意力的翻译](30.md)
    +   [使用`torchtext`的文本分类](31.md)
    +   [`torchtext`语言翻译](32.md)
+   [强化学习](33.md)
    +   [强化学习（DQN）教程](34.md)
    +   [训练玩马里奥的 RL 智能体](35.md)
+   [在生产中部署 PyTorch 模型](36.md)
    +   [通过使用 Flask 的 REST API 在 Python 中部署 PyTorch](37.md)
    +   [TorchScript 简介](38.md)
    +   [在 C++ 中加载 TorchScript 模型](39.md)
    +   [将模型从 PyTorch 导出到 ONNX 并使用 ONNX 运行时运行它（可选）](40.md)
+   [前端 API](41.md)
    +   [PyTorch 中的命名张量简介（原型）](42.md)
    +   [PyTorch 中通道在最后的内存格式（beta）](43.md)
    +   [使用 PyTorch C++ 前端](44.md)
    +   [自定义 C++ 和 CUDA 扩展](45.md)
    +   [使用自定义 C++ 运算符扩展 TorchScript](46.md)
    +   [使用自定义 C++ 类扩展 TorchScript](47.md)
    +   [TorchScript 中的动态并行性](48.md)
    +   [C++ 前端中的 Autograd](49.md)
    +   [在 C++ 中注册调度运算符](50.md)
+   [模型优化](51.md)
    +   [分析您的 PyTorch 模块](52.md)
    +   [使用 Ray Tune 的超参数调整](53.md)
    +   [模型剪裁教程](54.md)
    +   [LSTM 单词语言模型上的动态量化（beta）](55.md)
    +   [BERT 上的动态量化（Beta）](56.md)
    +   [PyTorch 中使用 Eager 模式的静态量化（beta）](57.md)
    +   [计算机视觉的量化迁移学习教程（beta）](58.md)
+   [并行和分布式训练](59.md)
    +   [PyTorch 分布式概述](60.md)
    +   [单机模型并行最佳实践](61.md)
    +   [分布式数据并行入门](62.md)
    +   [用 PyTorch 编写分布式应用](63.md)
    +   [分布式 RPC 框架入门](64.md)
    +   [使用分布式 RPC 框架实现参数服务器](65.md)
    +   [使用 RPC 的分布式管道并行化](66.md)
    +   [使用异步执行实现批量 RPC 处理](67.md)
    +   [将分布式`DataParallel`与分布式 RPC 框架相结合](68.md)
